using System;
using System.Collections.Generic;

namespace Kuvar_cs
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine()), br = 0;
            List<int> x = new List<int>();
            List<int> x_c = new List<int>();
            List<int> y = new List<int>();
            List<int> y_c = new List<int>();
            string[] input;
            input = Console.ReadLine().Split(' ');
            int data, index;
            for(int i = 0; i < n; i++)
            {
                data = Convert.ToInt32(input[i]);
                if((index = x.BinarySearch(data)) == -1)
                {
                    x.Add(data);
                    x_c.Add(1);
                }
                else
                {
                    x_c[index]++;
                }
            }
            input = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                data = Convert.ToInt32(input[i]);
                y.Add(data);
                y_c.Add(0);
            }
            input = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                data = Convert.ToInt32(input[i]);
                y_c[data - 1]++;
            }
            for(int i = 0; i < n; i++)
            {
                if((index = x.BinarySearch(y[i])) >= 0)
                {
                    br += x_c[index] * y_c[i];
                }
            }
            Console.WriteLine(br);
        }
    }
}